# LVGL op Linux met VSCode

Welkom bij het LVGL op Linux-project! Dit project stelt u in staat om de LittlevGL (LVGL) grafische bibliotheek te ontwikkelen en te simuleren op een Linux-systeem met behulp van Visual Studio Code (VSCode). LVGL is een open-source grafische bibliotheek voor embedded systemen, ideaal voor het ontwikkelen van grafische gebruikersinterfaces (GUI's) op microcontrollers en andere embedded platforms.

## To Clone this

  ```bash
	git clone https://git.noorlander.info/E.Noorlander/CMake_LVGL_C.git  --recursive
Recursive is nodig i.v.m. de submodulles in lib.  

## Vereisten

Zorg ervoor dat uw systeem voldoet aan de volgende vereisten:

- **Besturingssysteem**: Linux (bijvoorbeeld Ubuntu)
- **Visual Studio Code**: Download en installeer de nieuwste versie van [VSCode](https://code.visualstudio.com/).
- **Benodigde pakketten**: Installeer de volgende pakketten via uw pakketbeheerder:
  - `git`
  - `libsdl2-dev`
  - `build-essential`
  - `cmake`

  Op een Ubuntu-achtig systeem kunt u deze pakketten installeren met het volgende commando:

  ```bash
  sudo apt install git libsdl2-dev build-essential cmake

## To build

  ```bash
	mkdir build
	cd build
	cmake ..
	make
